#ifndef __CYTON_PRASE_CMD_H
#define __CYTON_PRASE_CMD_H	 

#include "sys.h"
#include "myQueue.h"

/* 
0 = 16000 Hz
1 = 8000 Hz
2 = 4000 Hz
3 = 2000 Hz
4 = 1000 Hz
5 = 500 Hz
6 = 250 Hz
*/
typedef enum tagCytron_CommandRate {
    CYTRON_COMMANDRATE_16000HZ = 0,
    CYTRON_COMMANDRATE_8000HZ,
    CYTRON_COMMANDRATE_4000HZ,
    CYTRON_COMMANDRATE_2000HZ,
    CYTRON_COMMANDRATE_1000HZ,
    CYTRON_COMMANDRATE_500HZ,
    CYTRON_COMMANDRATE_250HZ,
} CYTRON_COMMANDRATE_E;


void Ctron_Esp12Data_Loop();
void Ctron_Esp12Data_Recv(int iFd, uint8_t *szData, int iLen);
void Ctron_Esp12Data_Send(int iFd, uint8_t *szData, int iLen, int iClose);
int CytonEsp12_DataGetReportFd();
int CytonEsp12_StreamStat();
int CytonEsp12_GetCurrentRate();
void CytonEsp12_SetStreamStat(int iStat);
				    
#endif
